

(if hl (setq ne (append ne (list (cons 8 layer))))) (if (= ic 1) (setq ne (append ne (list (cons 70 1))))) (setq obj (vla-addLightweightPolyline space VLADataPts)) (setq VLADataPts (list->variantArray polypoints)) (setq plist (append plist (list (trans (cdr (assoc 10 ed1)) ent 0) ))) add trans by (setq ed1 (member (assoc 10 (cdr ed1)) ed1))

(setq hst (cdr (assoc 75 ed1))) hatch style (setq bot (cdr (assoc 92 ed1))) boundary type (setq noe (cdr (assoc 93 ed1))) number of edges (setq bptf (cdr (car ed1))) boundary path type flag (setq loops1 (cdr (assoc 91 ed1))) number of boundary paths (loops) (setq xv (cdr (assoc 210 ed1))) modified by (vla-get-ActiveDocument (vlax-get-acad-object)) (list (float (car 3dpt)) (float (cadr 3dpt))) (vl-catch-all-apply 'vlax-curve-getArea (list curve)) (setq sArray (vlax-safearray-fill arraySpace ptsList)) (defun list->variantArray (ptsList / arraySpace sArray) Knot-list controlpoint-list kn cn pos xv bot area hst noarea List->variantArray 3dPoint->2dPoint A2k ent i ss2 Space cw errexit undox olderr oldcmdecho ss1 lastent en1 en2 ss lwp (defun hatchb (hl / es blay ed1 ed2 loops1 bptf partĮt noe plist ic bul nr ang1 ang2 obj *ModelSpace* *PaperSpace* (defun c:hbl () (hatchb T)) this line can be commented out if there is an existing command called hbl (defun c:hb () (hatchb nil)) this line can be commented out if there is an existing command called hb should be working on older versions too. Support for hatches in non WCS thanks to xiaocai on current layer/color/linetype using the hb or hatchb command Create the boundary on the same layer as the hatch using the hbl command and Nothing changed from 2.1 other that it's been confirmed to work with AutoCAD 2007 Fix to take PEDITACCEPT variable used in AutoCAD 2004 into account Area returned if no islands is found since it's not consistant Changed mail and homepage so it's easy to find when new versions comes up. Removed an irritating semicolon to enable polylines to be created. Fixed bug with entmake of line with no Z for r14 Objects created joined to lwpolyline if possible Counterclockwise arcs and ellipses fixed Copyright (C) 1997-2008 JTB World, All Rights Reserved Known problem with some elipses and splines Recreates hatch boundary by selecting a hatch
Autocad lisp assoc 8 code#
More Free AutoLISP and Visual LISP code snippets for AutoCAD This is also new possible to do with the Hatch Edit command in newer versions of AutoCAD. The ssget function returns nil if none of the selected entities match the specified filtering criteria.Do you want to restore hatch boundaries in AutoCAD? With this app you can do it. Otherwise, the entity is not included in the selection set. If an entity's properties match all specified fields in the filtering list, it is included in the returned selection set. The ssget function filters a selection set by scanning the selected entities and comparing the fields of each main entity against the specified filtering list. This type of test performs a Boolean “AND” operation. This code selects only Circle objects on layer FLOOR3 that are colored green. If the filter-list specifies more than one property, an entity is included in the selection set only if it matches all specified conditions, as in the following example code: (ssget "X" (list (cons 0 "CIRCLE")(cons 8 lay_name)(cons 62 3))) For example, the following code creates a selection set of all objects in the database that are on layer FLOOR3: (setq lay_name "FLOOR3") If either is specified by a variable, the list must be constructed using the list and cons function. If both the group code and the desired value are known, the list may be quoted as shown previously. Note that this filter picks up lines that have been assigned color 5 (blue), but not blue lines that have had their color applied by the ByLayer or ByBlock properties.

Prompts for general object selection but adds only text objects to the selection set.Ĭreates a selection set containing all line objects from the last selection set created.Ĭreates a selection set of all objects inside the window that are also on layer FLOOR9.Ĭreates a selection set of all objects in the database that are Circle objects.Ĭreates a selection set of all blue Line objects that are part of the Implied selection set (those objects selected while the AutoCAD PICKFIRST system variable is in effect).
